aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/%HOME%/.bash_utils/distr.sh
diff options
context:
space:
mode:
Diffstat (limited to '%HOME%/.bash_utils/distr.sh')
-rw-r--r--%HOME%/.bash_utils/distr.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/%HOME%/.bash_utils/distr.sh b/%HOME%/.bash_utils/distr.sh
index fc77d9e..f51ca67 100644
--- a/%HOME%/.bash_utils/distr.sh
+++ b/%HOME%/.bash_utils/distr.sh
@@ -65,6 +65,19 @@ sums_update() (
sha1sum -- ${missing[@]+"${missing[@]}"} >> "$sums_path"
)
+sums_update_all() (
+ set -o errexit -o nounset -o pipefail
+
+ local -a paths
+ local path
+
+ while IFS= read -d '' -r path; do
+ paths+=("$path")
+ done < <( find . -type f -printf '%P\0' )
+
+ sums_update ${paths[@]+"${paths[@]}"}
+)
+
sums_update_distr() (
set -o errexit -o nounset -o pipefail